 /*
  * Khoros: $Id: mlde.h,v 1.2 1992/03/20 23:46:07 dkhoros Exp $
  */

 /*
  * $Log: mlde.h,v $
 * Revision 1.2  1992/03/20  23:46:07  dkhoros
 * VirtualPatch5
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: mlde.h
 >>>>            Author: Jeremy Worley
 >>>> Date Last Updated: Thu Mar  5 08:51:26 1992
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _mlde_h_
#define _mlde_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    mlde Argument Structure
*
****************************************************************/

typedef struct _mlde  {

/*
 *  coefficient matrix (Required infile)
 */
char	*i1_file;	/* coefficient matrix FILENAME */
int	 i1_flag;	/* coefficient matrix FLAG */

/*
 *  constant driving term vector (Required infile)
 */
char	*i2_file;	/* constant driving term vector FILENAME */
int	 i2_flag;	/* constant driving term vector FLAG */

/*
 *  initial value vector (Required infile)
 */
char	*i3_file;	/* initial value vector FILENAME */
int	 i3_flag;	/* initial value vector FLAG */

/*
 *  numerical solution file (Required outfile)
 */
char	*o_file;	/* numerical solution file FILENAME */
int	 o_flag;	/* numerical solution file FLAG */

/*
 *  initial time (Optional float)
 */
float	 t0_float;	/* initial time FLOAT */
int	 t0_flag;   	/* initial time FLAG */

/*
 *  final time (Optional float)
 */
float	 tf_float;	/* final time FLOAT */
int	 tf_flag;   	/* final time FLAG */

/*
 *  time step (Optional float)
 */
float	 h_float;	/* time step FLOAT */
int	 h_flag;   	/* time step FLAG */

}  mlde_struct;

mlde_struct *mlde;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
